package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-13
 */

@TableName("DC_PARAMETER")

public class DcParameter extends Model<DcParameter> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("DC_GROUP_BO")
   private String dcGroupBo;
   @TableField("PARAMETER_NAME")
   private String parameterName;
   @TableField("DATA_TYPE")
   private String dataType;
   @TableField("STATUS")
   private String status;
   @TableField("ALLOW_MISSING_VALUE")
   private String allowMissingValue;
   @TableField("MIN_VALUE")
   private Double minValue;
   @TableField("MAX_VALUE")
   private Double maxValue;
   @TableField("SEQUENCE")
   private Long sequence;
   @TableField("PERFORM_SPC")
   private String performSpc;
   @TableField("DISPLAY_CHART")
   private String displayChart;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("UNITS")
   private String units;
   @TableField("SPC_CHART_BO")
   private String spcChartBo;
   @TableField("DISPLAY_DATA_INFORMATION")
   private String displayDataInformation;
   @TableField("OVERRIDE_MIN_MAX")
   private String overrideMinMax;
   @TableField("DC_VALUE_MASK")
   private String dcValueMask;
   @TableField("EXPRESSION_BUILDER")
   private String expressionBuilder;
   @TableField("REQUIRED_DATA_ENTRIES")
   private Long requiredDataEntries;
   @TableField("OPTIONAL_DATA_ENTRIES")
   private Long optionalDataEntries;
   @TableField("SHORT_RUN")
   private String shortRun;
   @TableField("OPC_ACQUIRE_AT")
   private String opcAcquireAt;
   @TableField("OPC_SERVER")
   private String opcServer;
   @TableField("OPC_DEVICE")
   private String opcDevice;
   @TableField("OPC_TAG")
   private String opcTag;
   @TableField("OPC_SERVER_HOSTNAME")
   private String opcServerHostname;
   @TableField("OPC_SERVER_MODEL")
   private String opcServerModel;
   @TableField("OPC_SERVER_PROGID")
   private String opcServerProgid;
   @TableField("OPC_SERVER_CLSID")
   private String opcServerClsid;
   @TableField("OPC_DEVICE_ID")
   private String opcDeviceId;
   @TableField("OPC_TAG_ID")
   private String opcTagId;
   @TableField("SCRIPT_BO")
   private String scriptBo;
   @TableField("BOOLEAN_ZERO_VALUE")
   private String booleanZeroValue;
   @TableField("BOOLEAN_ONE_VALUE")
   private String booleanOneValue;
   @TableField("ERP_QM_CHAR_TYPE")
   private String erpQmCharType;
   @TableField("ERP_IS_QM_CRITICAL")
   private String erpIsQmCritical;
   @TableField("SOFT_LIMIT_CHECK")
   private String softLimitCheck;
   @TableField("AUTO_LOG_NC")
   private String autoLogNc;
   @TableField("NC_CODE_BO")
   private String ncCodeBo;
   @TableField("DATA_FIELD_BO")
   private String dataFieldBo;
   @TableField("INSPECTION_SAMPLE_SIZE")
   private Long inspectionSampleSize;
   @TableField("TARGET_VALUE")
   private Double targetValue;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getDcGroupBo() {
      return dcGroupBo;
   }

   public void setDcGroupBo(String dcGroupBo) {
      this.dcGroupBo = dcGroupBo;
   }

   public String getParameterName() {
      return parameterName;
   }

   public void setParameterName(String parameterName) {
      this.parameterName = parameterName;
   }

   public String getDataType() {
      return dataType;
   }

   public void setDataType(String dataType) {
      this.dataType = dataType;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getAllowMissingValue() {
      return allowMissingValue;
   }

   public void setAllowMissingValue(String allowMissingValue) {
      this.allowMissingValue = allowMissingValue;
   }

   public Double getMinValue() {
      return minValue;
   }

   public void setMinValue(Double minValue) {
      this.minValue = minValue;
   }

   public Double getMaxValue() {
      return maxValue;
   }

   public void setMaxValue(Double maxValue) {
      this.maxValue = maxValue;
   }

   public Long getSequence() {
      return sequence;
   }

   public void setSequence(Long sequence) {
      this.sequence = sequence;
   }

   public String getPerformSpc() {
      return performSpc;
   }

   public void setPerformSpc(String performSpc) {
      this.performSpc = performSpc;
   }

   public String getDisplayChart() {
      return displayChart;
   }

   public void setDisplayChart(String displayChart) {
      this.displayChart = displayChart;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getUnits() {
      return units;
   }

   public void setUnits(String units) {
      this.units = units;
   }

   public String getSpcChartBo() {
      return spcChartBo;
   }

   public void setSpcChartBo(String spcChartBo) {
      this.spcChartBo = spcChartBo;
   }

   public String getDisplayDataInformation() {
      return displayDataInformation;
   }

   public void setDisplayDataInformation(String displayDataInformation) {
      this.displayDataInformation = displayDataInformation;
   }

   public String getOverrideMinMax() {
      return overrideMinMax;
   }

   public void setOverrideMinMax(String overrideMinMax) {
      this.overrideMinMax = overrideMinMax;
   }

   public String getDcValueMask() {
      return dcValueMask;
   }

   public void setDcValueMask(String dcValueMask) {
      this.dcValueMask = dcValueMask;
   }

   public String getExpressionBuilder() {
      return expressionBuilder;
   }

   public void setExpressionBuilder(String expressionBuilder) {
      this.expressionBuilder = expressionBuilder;
   }

   public Long getRequiredDataEntries() {
      return requiredDataEntries;
   }

   public void setRequiredDataEntries(Long requiredDataEntries) {
      this.requiredDataEntries = requiredDataEntries;
   }

   public Long getOptionalDataEntries() {
      return optionalDataEntries;
   }

   public void setOptionalDataEntries(Long optionalDataEntries) {
      this.optionalDataEntries = optionalDataEntries;
   }

   public String getShortRun() {
      return shortRun;
   }

   public void setShortRun(String shortRun) {
      this.shortRun = shortRun;
   }

   public String getOpcAcquireAt() {
      return opcAcquireAt;
   }

   public void setOpcAcquireAt(String opcAcquireAt) {
      this.opcAcquireAt = opcAcquireAt;
   }

   public String getOpcServer() {
      return opcServer;
   }

   public void setOpcServer(String opcServer) {
      this.opcServer = opcServer;
   }

   public String getOpcDevice() {
      return opcDevice;
   }

   public void setOpcDevice(String opcDevice) {
      this.opcDevice = opcDevice;
   }

   public String getOpcTag() {
      return opcTag;
   }

   public void setOpcTag(String opcTag) {
      this.opcTag = opcTag;
   }

   public String getOpcServerHostname() {
      return opcServerHostname;
   }

   public void setOpcServerHostname(String opcServerHostname) {
      this.opcServerHostname = opcServerHostname;
   }

   public String getOpcServerModel() {
      return opcServerModel;
   }

   public void setOpcServerModel(String opcServerModel) {
      this.opcServerModel = opcServerModel;
   }

   public String getOpcServerProgid() {
      return opcServerProgid;
   }

   public void setOpcServerProgid(String opcServerProgid) {
      this.opcServerProgid = opcServerProgid;
   }

   public String getOpcServerClsid() {
      return opcServerClsid;
   }

   public void setOpcServerClsid(String opcServerClsid) {
      this.opcServerClsid = opcServerClsid;
   }

   public String getOpcDeviceId() {
      return opcDeviceId;
   }

   public void setOpcDeviceId(String opcDeviceId) {
      this.opcDeviceId = opcDeviceId;
   }

   public String getOpcTagId() {
      return opcTagId;
   }

   public void setOpcTagId(String opcTagId) {
      this.opcTagId = opcTagId;
   }

   public String getScriptBo() {
      return scriptBo;
   }

   public void setScriptBo(String scriptBo) {
      this.scriptBo = scriptBo;
   }

   public String getBooleanZeroValue() {
      return booleanZeroValue;
   }

   public void setBooleanZeroValue(String booleanZeroValue) {
      this.booleanZeroValue = booleanZeroValue;
   }

   public String getBooleanOneValue() {
      return booleanOneValue;
   }

   public void setBooleanOneValue(String booleanOneValue) {
      this.booleanOneValue = booleanOneValue;
   }

   public String getErpQmCharType() {
      return erpQmCharType;
   }

   public void setErpQmCharType(String erpQmCharType) {
      this.erpQmCharType = erpQmCharType;
   }

   public String getErpIsQmCritical() {
      return erpIsQmCritical;
   }

   public void setErpIsQmCritical(String erpIsQmCritical) {
      this.erpIsQmCritical = erpIsQmCritical;
   }

   public String getSoftLimitCheck() {
      return softLimitCheck;
   }

   public void setSoftLimitCheck(String softLimitCheck) {
      this.softLimitCheck = softLimitCheck;
   }

   public String getAutoLogNc() {
      return autoLogNc;
   }

   public void setAutoLogNc(String autoLogNc) {
      this.autoLogNc = autoLogNc;
   }

   public String getNcCodeBo() {
      return ncCodeBo;
   }

   public void setNcCodeBo(String ncCodeBo) {
      this.ncCodeBo = ncCodeBo;
   }

   public String getDataFieldBo() {
      return dataFieldBo;
   }

   public void setDataFieldBo(String dataFieldBo) {
      this.dataFieldBo = dataFieldBo;
   }

   public Long getInspectionSampleSize() {
      return inspectionSampleSize;
   }

   public void setInspectionSampleSize(Long inspectionSampleSize) {
      this.inspectionSampleSize = inspectionSampleSize;
   }

   public Double getTargetValue() {
      return targetValue;
   }

   public void setTargetValue(Double targetValue) {
      this.targetValue = targetValue;
   }

public static final String HANDLE = "HANDLE";

public static final String DC_GROUP_BO = "DC_GROUP_BO";

public static final String PARAMETER_NAME = "PARAMETER_NAME";

public static final String DATA_TYPE = "DATA_TYPE";

public static final String STATUS = "STATUS";

public static final String ALLOW_MISSING_VALUE = "ALLOW_MISSING_VALUE";

public static final String MIN_VALUE = "MIN_VALUE";

public static final String MAX_VALUE = "MAX_VALUE";

public static final String SEQUENCE = "SEQUENCE";

public static final String PERFORM_SPC = "PERFORM_SPC";

public static final String DISPLAY_CHART = "DISPLAY_CHART";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String UNITS = "UNITS";

public static final String SPC_CHART_BO = "SPC_CHART_BO";

public static final String DISPLAY_DATA_INFORMATION = "DISPLAY_DATA_INFORMATION";

public static final String OVERRIDE_MIN_MAX = "OVERRIDE_MIN_MAX";

public static final String DC_VALUE_MASK = "DC_VALUE_MASK";

public static final String EXPRESSION_BUILDER = "EXPRESSION_BUILDER";

public static final String REQUIRED_DATA_ENTRIES = "REQUIRED_DATA_ENTRIES";

public static final String OPTIONAL_DATA_ENTRIES = "OPTIONAL_DATA_ENTRIES";

public static final String SHORT_RUN = "SHORT_RUN";

public static final String OPC_ACQUIRE_AT = "OPC_ACQUIRE_AT";

public static final String OPC_SERVER = "OPC_SERVER";

public static final String OPC_DEVICE = "OPC_DEVICE";

public static final String OPC_TAG = "OPC_TAG";

public static final String OPC_SERVER_HOSTNAME = "OPC_SERVER_HOSTNAME";

public static final String OPC_SERVER_MODEL = "OPC_SERVER_MODEL";

public static final String OPC_SERVER_PROGID = "OPC_SERVER_PROGID";

public static final String OPC_SERVER_CLSID = "OPC_SERVER_CLSID";

public static final String OPC_DEVICE_ID = "OPC_DEVICE_ID";

public static final String OPC_TAG_ID = "OPC_TAG_ID";

public static final String SCRIPT_BO = "SCRIPT_BO";

public static final String BOOLEAN_ZERO_VALUE = "BOOLEAN_ZERO_VALUE";

public static final String BOOLEAN_ONE_VALUE = "BOOLEAN_ONE_VALUE";

public static final String ERP_QM_CHAR_TYPE = "ERP_QM_CHAR_TYPE";

public static final String ERP_IS_QM_CRITICAL = "ERP_IS_QM_CRITICAL";

public static final String SOFT_LIMIT_CHECK = "SOFT_LIMIT_CHECK";

public static final String AUTO_LOG_NC = "AUTO_LOG_NC";

public static final String NC_CODE_BO = "NC_CODE_BO";

public static final String DATA_FIELD_BO = "DATA_FIELD_BO";

public static final String INSPECTION_SAMPLE_SIZE = "INSPECTION_SAMPLE_SIZE";

public static final String TARGET_VALUE = "TARGET_VALUE";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "DcParameter{" +
         "handle = " + handle +
         ", dcGroupBo = " + dcGroupBo +
         ", parameterName = " + parameterName +
         ", dataType = " + dataType +
         ", status = " + status +
         ", allowMissingValue = " + allowMissingValue +
         ", minValue = " + minValue +
         ", maxValue = " + maxValue +
         ", sequence = " + sequence +
         ", performSpc = " + performSpc +
         ", displayChart = " + displayChart +
         ", description = " + description +
         ", units = " + units +
         ", spcChartBo = " + spcChartBo +
         ", displayDataInformation = " + displayDataInformation +
         ", overrideMinMax = " + overrideMinMax +
         ", dcValueMask = " + dcValueMask +
         ", expressionBuilder = " + expressionBuilder +
         ", requiredDataEntries = " + requiredDataEntries +
         ", optionalDataEntries = " + optionalDataEntries +
         ", shortRun = " + shortRun +
         ", opcAcquireAt = " + opcAcquireAt +
         ", opcServer = " + opcServer +
         ", opcDevice = " + opcDevice +
         ", opcTag = " + opcTag +
         ", opcServerHostname = " + opcServerHostname +
         ", opcServerModel = " + opcServerModel +
         ", opcServerProgid = " + opcServerProgid +
         ", opcServerClsid = " + opcServerClsid +
         ", opcDeviceId = " + opcDeviceId +
         ", opcTagId = " + opcTagId +
         ", scriptBo = " + scriptBo +
         ", booleanZeroValue = " + booleanZeroValue +
         ", booleanOneValue = " + booleanOneValue +
         ", erpQmCharType = " + erpQmCharType +
         ", erpIsQmCritical = " + erpIsQmCritical +
         ", softLimitCheck = " + softLimitCheck +
         ", autoLogNc = " + autoLogNc +
         ", ncCodeBo = " + ncCodeBo +
         ", dataFieldBo = " + dataFieldBo +
         ", inspectionSampleSize = " + inspectionSampleSize +
         ", targetValue = " + targetValue +
         "}";
   }
}